import { Component, Injectable } from '@angular/core';
import { AppConfig, ItemTypeService, commonReducers } from '@farmmaps/common';
import { Store } from '@ngrx/store';
import * as mapReducers from '../../reducers/map.reducer';
import { AbstractFeatureListFeatureComponent } from '../feature-list-feature/feature-list-feature.component';
import { ForItemType } from '../for-item/for-itemtype.decorator';


@ForItemType("vnd.farmmaps.itemtype.croppingscheme")
@Injectable()
@Component({
  selector: 'fm-map-feature-list-feature-croppingscheme',
  templateUrl: './feature-list-feature-croppingscheme.component.html',
  styleUrls: ['./feature-list-feature-croppingscheme.component.scss']
})
export class FeatureListFeatureCroppingschemeComponent extends AbstractFeatureListFeatureComponent {

  constructor(store: Store<mapReducers.State | commonReducers.State>, itemTypeService: ItemTypeService,config:AppConfig) {
    super(store, itemTypeService,config);
  }
}
